> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact

> Fetch a contact including its unread conversation count.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /s2s/contacts/{userId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/contacts/{userId}:
    get:
      tags:
        - S2S Contacts
      summary: Get contact
      description: Fetch a contact including its unread conversation count.
      operationId: Get
      parameters:
        - in: path
          name: userId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/S2SContact'
      security:
        - s2s: []
components:
  schemas:
    S2SContact:
      properties:
        userId:
          type: string
        name:
          type: string
        email:
          type: string
        phone:
          type: string
        language:
          type: string
        companyId:
          type: string
        companyName:
          type: string
        plan:
          type: string
        value:
          type: number
          format: double
        customData:
          $ref: '#/components/schemas/Record_string.unknown_'
        unread:
          type: number
          format: double
        createdAt:
          type: string
          format: date-time
        lastActivityAt:
          type: string
          format: date-time
      required:
        - userId
      type: object
      additionalProperties: false
    Record_string.unknown_:
      properties: {}
      type: object
      description: Construct a type with a set of properties K of type T
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````